{% extends 'base.html' %}
{% load static %}

{% block content %}
<div class="wrapper">
  
  <!-- Main Header -->
  <header class="main-header">
    
    <!-- Logo -->
    <a href="#" class="logo">
      <!-- mini logo for sidebar mini 50x50 pixels -->
      <span class="logo-mini"><b>A</b>S</span>
      <!-- logo for regular state and mobile devices -->
      <span class="logo-lg"><b>Arena</b>SOFT</span>
    </a>
    
    <!-- Header Navbar -->
    <nav class="navbar navbar-static-top" role="navigation">
      <!-- Sidebar toggle button-->
      <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
        <span class="sr-only">Toggle navigation</span>
      </a>
      <!-- Navbar Right Menu -->
      <div class="navbar-custom-menu">
        <ul class="nav navbar-nav">
          <!-- Messages: style can be found in dropdown.less-->
          <li class="dropdown messages-menu">
            <!-- Menu toggle button -->
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <i class="fa fa-envelope-o"></i>
              <span class="label label-success">4</span>
            </a>
            <ul class="dropdown-menu">
              <li class="header">You have 4 messages</li>
              <li>
                <!-- inner menu: contains the messages -->
                <ul class="menu">
                  <li><!-- start message -->
                    <a href="#">
                      <div class="pull-left">
                        <!-- User Image -->
                        <img src="{% static 'dist/img/user2-160x160.jpg' %}" class="img-circle" alt="User Image">
                      </div>
                      <!-- Message title and timestamp -->
                      <h4>
                        Support Team
                        <small><i class="fa fa-clock-o"></i> 5 mins</small>
                      </h4>
                      <!-- The message -->
                      <p>Why not buy a new awesome theme?</p>
                    </a>
                  </li>
                  <!-- end message -->
                </ul>
                <!-- /.menu -->
              </li>
              <li class="footer"><a href="#">See All Messages</a></li>
            </ul>
          </li>
          <!-- /.messages-menu -->
          
          <!-- Notifications Menu -->
          <li class="dropdown notifications-menu">
            <!-- Menu toggle button -->
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <i class="fa fa-bell-o"></i>
              <span class="label label-warning">10</span>
            </a>
            <ul class="dropdown-menu">
              <li class="header">You have 10 notifications</li>
              <li>
                <!-- Inner Menu: contains the notifications -->
                <ul class="menu">
                  <li><!-- start notification -->
                    <a href="#">
                      <i class="fa fa-users text-aqua"></i> 5 new members joined today
                    </a>
                  </li>
                  <!-- end notification -->
                </ul>
              </li>
              <li class="footer"><a href="#">View all</a></li>
            </ul>
          </li>
          <!-- Tasks Menu -->
          <li class="dropdown tasks-menu">
            <!-- Menu Toggle Button -->
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <i class="fa fa-flag-o"></i>
              <span class="label label-danger">9</span>
            </a>
            <ul class="dropdown-menu">
              <li class="header">You have 9 tasks</li>
              <li>
                <!-- Inner menu: contains the tasks -->
                <ul class="menu">
                  <li><!-- Task item -->
                    <a href="#">
                      <!-- Task title and progress text -->
                      <h3>
                        Design some buttons
                        <small class="pull-right">20%</small>
                      </h3>
                      <!-- The progress bar -->
                      <div class="progress xs">
                        <!-- Change the css width attribute to simulate progress -->
                        <div class="progress-bar progress-bar-aqua" style="width: 20%" role="progressbar"
                        aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                        <span class="sr-only">20% Complete</span>
                      </div>
                    </div>
                  </a>
                </li>
                <!-- end task item -->
              </ul>
            </li>
            <li class="footer">
              <a href="#">View all tasks</a>
            </li>
          </ul>
        </li>
        <!-- User Account Menu -->
        <li class="dropdown user user-menu">
          <!-- Menu Toggle Button -->
          <a href="#" class="dropdown-toggle" data-toggle="dropdown">
            <!-- The user image in the navbar-->
            <img src="{% static 'dist/img/vanguard.jpg' %}" class="user-image" alt="User Image">
            <!-- hidden-xs hides the username on small devices so only the image appears. -->
            <span class="hidden-xs">Equipe VanguardFire</span>
          </a>
          <ul class="dropdown-menu">
            <!-- The user image in the menu -->
            <li class="user-header">
              <img src="{% static 'dist/img/user2-160x160.jpg' %}" class="img-circle" alt="User Image">
              
              <p>
                Alexander Pierce - Web Developer
                <small>Member since Nov. 2012</small>
              </p>
            </li>
            <!-- Menu Body -->
            <li class="user-body">
              <div class="row">
                <div class="col-xs-4 text-center">
                  <a href="#">Followers</a>
                </div>
                <div class="col-xs-4 text-center">
                  <a href="#">Sales</a>
                </div>
                <div class="col-xs-4 text-center">
                  <a href="#">Friends</a>
                </div>
              </div>
              <!-- /.row -->
            </li>
            <!-- Menu Footer-->
            <li class="user-footer">
              <div class="pull-left">
                <a href="#" class="btn btn-default btn-flat">Profile</a>
              </div>
              <div class="pull-right">
                <a href="#" class="btn btn-default btn-flat">Sign out</a>
              </div>
            </li>
          </ul>
        </li>
        <!-- Control Sidebar Toggle Button -->
        
      </ul>
    </div>
  </nav>
</header>
<!-- Left side column. contains the logo and sidebar -->
<aside class="main-sidebar">
  
  <!-- sidebar: style can be found in sidebar.less -->
  <section class="sidebar">
    
    <!-- Sidebar user panel (optional) -->
    <div class="user-panel">
      <div class="pull-left image">
        <img src="{% static 'dist/img/user2-160x160.jpg' %}" class="img-circle" alt="User Image">
      </div>
      <div class="pull-left info">
        <p>Rafael Batista</p>
        <!-- Status -->
        <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
      </div>
    </div>
    
    <!-- search form (Optional) -->
    <form action="#" method="get" class="sidebar-form">
      <div class="input-group">
        <input type="text" name="q" class="form-control" placeholder="Search...">
        <span class="input-group-btn">
          <button type="submit" name="search" id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i>
          </button>
        </span>
      </div>
    </form>
    <!-- /.search form -->
    
    <!-- Sidebar Menu -->
    <ul class="sidebar-menu" data-widget="tree">
      <li class="header">Menu</li>
      <!-- Optionally, you can add icons to the links -->
      <li class="treeview">
        <a href="#"><i class="fa fa-link"></i> <span>Jogos</span>
          <span class="pull-right-container">
            <i class="fa fa-angle-left pull-right"></i>
          </span>
        </a>
        <ul class="treeview-menu">
          <li><a href="#">Agendar</a></li>
          <li><a href="#">Últimos Jogos</a></li>
        </ul>
      </li>
      <li><a href="#"><i class="fa fa-link"></i> <span>Equipes</span></a></li>
      <li><a href="#"><i class="fa fa-link"></i> <span>Rank</span></a></li>
      
    </ul>
    <!-- /.sidebar-menu -->
  </section>
  <!-- /.sidebar -->
</aside>

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <h1 style="margin-left: 16px;">
      
      Meus Pontos: <small>1.500P</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Level</a></li>
      <li class="active">Dashboard</li>
    </ol>
  </section>
  
  <!-- Main content -->
  <section class="content container-fluid" id="content-fundo">
    
    <div class="col-md-4">
      
      <!-- minhas equipes -->
      
      <div class="box box-widget widget-user-2">
        <div class="widget-user-header bg-red">
          <h3 class="widget-user-username">Minhas Equipes</h3>
          <h5 class="widget-user-desc"><a href="#"  style="color: papayawhip;">Veja mais...</a></h5>
        </div>
        <div class="box-footer no-padding">
          <ul class="nav nav-stacked">
            {% for equipe in listEquipes %}    
            <li>
              <a href="#">
                <span><img style="
                  border-radius: 50%;
                  object-fit: cover;
                  object-position: center;
                  width: 20px; 
                  height: 20px;" src="{{equipe.insignia.url}}">
                </span>
                <span class="pull-left badge bg-red">{{equipe.pontos}} Pontos </span>
                <span class="pull-right badge bg-red">{{equipe.integrantes.count}}</span>
                &nbsp &nbsp
                {{equipe.nome_grupo}}
              </a>
            </li>
            {% endfor %}
            <!-- <a href="#"><li class="widget-user-header bg-red">Mias equipes....</li></a> -->
          </ul>
        </div>
      </div>
      
    </div>
    <div class="col-md-4">
      <!-- Carousel Dashboard -->
      <div class="box box-solid">
        <div class="box-header with-border">
          <h3 class="box-title">Divulgações/Eventos</h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
          <div id="carousel-example-generic" class="carousel slide" data-ride="carousel">
            <ol class="carousel-indicators">
              <li data-target="#carousel-example-generic" data-slide-to="0" class=""></li>
              <li data-target="#carousel-example-generic" data-slide-to="1" class=""></li>
              <li data-target="#carousel-example-generic" data-slide-to="2" class="active"></li>
            </ol>
            <div class="carousel-inner">
              <div class="item">
                <img src="{% static 'dist/img/eventos/paintball.jpg' %}" alt="paintball">
                
                <div class="carousel-caption">
                  First Slide
                </div>
              </div>
              <div class="item">
                <img style="height: 210px; width: 500px;" src="{% static '/eventos/corrida.jpg' %}" alt="corrida">
                
                <div class="carousel-caption">
                  Second Slide
                </div>
              </div>
              <div class="item active">
                <img style="height: 210px; width: 500px;" src="{% static '/eventos/bike.jpg' %}" alt="bike">
                
                <div class="carousel-caption">
                  Third Slide
                </div>
              </div>
            </div>
            <a class="left carousel-control" href="#carousel-example-generic" data-slide="prev">
              <span class="fa fa-angle-left"></span>
            </a>
            <a class="right carousel-control" href="#carousel-example-generic" data-slide="next">
              <span class="fa fa-angle-right"></span>
            </a>
          </div>
        </div>
        <!-- /.box-body -->
      </div>
    </div>
    <div class="col-md-4">
      
      <!-- DIRECT CHAT DANGER -->
      <div class="box box-danger direct-chat direct-chat-danger">
        <div class="box-header with-border">
          <h3 class="box-title">VanguardFire Chat</h3>
          
          <div class="box-tools pull-right">
            <span data-toggle="tooltip" title="3 New Messages" class="badge bg-light-blue">3</span>
            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
            </button>
            <button type="button" class="btn btn-box-tool" data-toggle="tooltip" title="Contacts" data-widget="chat-pane-toggle">
              <i class="fa fa-comments"></i></button>
              <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
            </div>
          </div>
          <!-- /.box-header -->
          <div class="box-body">
            <!-- Conversations are loaded here -->
            <div class="direct-chat-messages">
              <!-- Message. Default to the left -->
              <div class="direct-chat-msg">
                <div class="direct-chat-info clearfix">
                  <span class="direct-chat-name pull-left">Alexander Pierce</span>
                  <span class="direct-chat-timestamp pull-right">26 Set 13:00 pm</span>
                </div>
                <!-- /.direct-chat-info -->
                <img class="direct-chat-img" src="{% static 'dist/img/user1-128x128.jpg' %}" alt="Message User Image"><!-- /.direct-chat-img -->
                <div class="direct-chat-text">
                  Vai ter jogo sábado?
                </div>
                <!-- /.direct-chat-text -->
              </div>
              <!-- /.direct-chat-msg -->
              
              <!-- Message to the right -->
              <div class="direct-chat-msg right">
                <div class="direct-chat-info clearfix">
                  <span class="direct-chat-name pull-right">Sarah Bullock</span>
                  <span class="direct-chat-timestamp pull-left">26 Set 13:05 pm</span>
                </div>
                <!-- /.direct-chat-info -->
                <img class="direct-chat-img" src="{% static 'dist/img/user3-128x128.jpg' %}" alt="Message User Image"><!-- /.direct-chat-img -->
                <div class="direct-chat-text">
                  Vai sim entra la na partida!
                </div>
                <!-- /.direct-chat-text -->
                
                <!-- /.direct-chat-msg -->
              </div>
              <!--/.direct-chat-messages-->
              
              <!-- /.box-body -->
              <div class="box-footer">
                <form action="#" method="post">
                  <div class="input-group">
                    <input type="text" name="message" placeholder="Type Message ..." class="form-control">
                    <span class="input-group-btn">
                      <button type="submit" class="btn btn-warning btn-flat">Send</button>
                    </span>
                  </div>
                </div>
              </form>
            </div>
            <!-- /.box-footer-->
          </div>
          <!--/.direct-chat -->
        </div>
        <!-- /.col -->
        
        
        
        
        <!-- /.row -->
        
      </div>
      
      <div class="col-md-4">
        
        <div class="box box-widget widget-user-2">
          <!-- Add the bg color to the header using any of the bg-* classes -->
          <div class="widget-user-header bg-red">
            
            <!-- /.widget-user-image -->
            <h3 class="widget-user-username">Jogos/Eventos</h3>
          </div>
          <div class="box-footer no-padding">
            <ul class="nav nav-stacked">
              {% for evento in eventos %}
              <li><a href="#">{{evento.nome_evento}} &nbsp; &nbsp; <button type="button" class="btn btn-primary btn-xs">Participar</button><span class="pull-right badge bg-red">{{evento.data_inicio}}</span></a></li>
              {% endfor %}
              <!-- <li><a href="#">Pelada Praia <span class="pull-right badge bg-red">03-10-2018</span></a></li>
              <li><a href="#">Paintball Premium <span class="pull-right badge bg-red">05-10-2018</span></a></li>
              <li><a href="#">Voley de Areia campo do Jorge <span class="pull-right badge bg-red">15-10-2018</span></a></li>
              <li><a href="#">ArenaTeam  Campo Lagoa<span class="pull-right badge bg-red">25-10-2018</span></a></li> -->
            </ul>
          </div>
        </div>
      </div>
      
      <div class="col-md-4">
        
        <div class="box box-widget widget-user-2">
          <!-- Add the bg color to the header using any of the bg-* classes -->
          <div class="widget-user-header bg-red">
            
            <!-- /.widget-user-image -->
            <h3 class="widget-user-username">Lista de amigos</h3>
          </div>
          <div class="box-footer no-padding">
            <ul class="nav nav-stacked">
              <li><a href="#">Neto <span class="pull-right badge bg-red">31 Rank</span></a></li>
              <li><a href="#">Taun <span class="pull-right badge bg-red">5 Rank</span></a></li>
              <li><a href="#">Wendell <span class="pull-right badge bg-red">12 Rank</span></a></li>
              <li><a href="#">Rafael <span class="pull-right badge bg-red">9 Rank</span></a></li>
              <li><a href="#">Israel <span class="pull-right badge bg-red">8Rank</span></a></li>
            </ul>
          </div>
        </div>
      </div>
      
      <!-- <div class="col-md-4" id="tabela-conquista">
        
        
        <img style="width: 80%;" src="{% static 'dist/img/conquistas/tabela-conquista.jpg' %}">
        
      </div> -->
      <div div class="col-md-4">
        <div class="box box-widget widget-user-2">
          
          <div class="widget-user-header bg-light-blue">
            <h4 class="widget-user-username">Conquistas</h4>
          </div>
          
          
          <div class="jumbotron">
            
            {% for equipe in listEquipes %}    
            {% if equipe.insignia %}
            <a href="#" class="" alt="conquista">
              <span><img style="
                border-radius: 50%;
                object-fit: cover;
                object-position: center;
                width: 36.5px; 
                height: 36.5px;" src="{{equipe.insignia.url}}" alt="{{equipe.insignia}}">
              </span>
            </a>
            {% else %}
            
            <a href="#" class="" alt="conquista">
              <span><img style="
                border-radius: 50%;
                object-fit: cover;
                object-position: center;
                width: 36.5px; 
                height: 36.5px;" 
                src="{% static 'insignias/insignia.jpg' %}" alt="{{equipe.insignia}}">
              </span>
            </a>
            
            {% endif %}
            
            
            {% endfor %}
            
          </div>
          <!-- <a href="#"><li class="widget-user-header bg-red">Mias equipes....</li></a> -->
          
          
          
          
          
          
          
          
        </div>
      </div>        
      
      <!-- div class="col-md-4">
        
        teste 
        
      </div> -->
      
      
      
    </div>
  </div>
  
  
  
  
</section>
<!-- /.content -->
</div>
<!-- /.content-wrapper -->

<!-- Main Footer -->
<footer class="main-footer">
  <!-- To the right -->
  <!-- <div class="pull-right hidden-xs">
    Anything you want
  </div> -->
  <!-- Default to the left -->
  <strong>Copyright &copy; 2018 <a href="#">ArenaSoft</a>.</strong> Todos os direitos reservados.
</footer>

</div>
<!-- /.tab-pane -->
<!-- Stats tab content -->
<div class="tab-pane" id="control-sidebar-stats-tab">Stats Tab Content</div>
<!-- /.tab-pane -->
<!-- Settings tab content -->
<div class="tab-pane" id="control-sidebar-settings-tab">
  
</div>
<!-- /.tab-pane -->
</div>
</aside>
<!-- /.control-sidebar -->
<!-- Add the sidebar's background. This div must be placed
  immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

<!-- REQUIRED JS SCRIPTS -->

<!-- jQuery 3 -->
<script src="{% static 'bower_components/jquery/dist/jquery.min.js' %}"></script>
<!-- Bootstrap 3.3.7 -->
<script src="{% static 'bower_components/bootstrap/dist/js/bootstrap.min.js' %}"></script>
<!-- AdminLTE App -->
<script src="{% static 'dist/js/adminlte.min.js' %}"></script>


<script src="{% static 'bower_components/fullcalendar/dist/fullcalendar.min.js' %}"></script>
<!-- Page specific script -->
<script>
  $(function () {
    
    /* initialize the external events
    -----------------------------------------------------------------*/
    function init_events(ele) {
      ele.each(function () {
        
        // create an Event Object (http://arshaw.com/fullcalendar/docs/event_data/Event_Object/)
        // it doesn't need to have a start or end
        var eventObject = {
          title: $.trim($(this).text()) // use the element's text as the event title
        }
        
        // store the Event Object in the DOM element so we can get to it later
        $(this).data('eventObject', eventObject)
        
        // make the event draggable using jQuery UI
        $(this).draggable({
          zIndex        : 1070,
          revert        : true, // will cause the event to go back to its
          revertDuration: 0  //  original position after the drag
        })
        
      })
    }
    
    init_events($('#external-events div.external-event'))
    
    /* initialize the calendar
    -----------------------------------------------------------------*/
    //Date for the calendar events (dummy data)
    var date = new Date()
    var d    = date.getDate(),
    m    = date.getMonth(),
    y    = date.getFullYear()
    $('#calendar').fullCalendar({
      header    : {
        left  : 'prev,next today',
        center: 'title',
        right : 'month,agendaWeek,agendaDay'
      },
      buttonText: {
        today: 'today',
        month: 'month',
        week : 'week',
        day  : 'day'
      },
      //Random default events
      events    : [
      {
        title          : 'All Day Event',
        start          : new Date(y, m, 1),
        backgroundColor: '#f56954', //red
        borderColor    : '#f56954' //red
      },
      {
        title          : 'Long Event',
        start          : new Date(y, m, d - 5),
        end            : new Date(y, m, d - 2),
        backgroundColor: '#f39c12', //yellow
        borderColor    : '#f39c12' //yellow
      },
      {
        title          : 'Meeting',
        start          : new Date(y, m, d, 10, 30),
        allDay         : false,
        backgroundColor: '#0073b7', //Blue
        borderColor    : '#0073b7' //Blue
      },
      {
        title          : 'Lunch',
        start          : new Date(y, m, d, 12, 0),
        end            : new Date(y, m, d, 14, 0),
        allDay         : false,
        backgroundColor: '#00c0ef', //Info (aqua)
        borderColor    : '#00c0ef' //Info (aqua)
      },
      {
        title          : 'Birthday Party',
        start          : new Date(y, m, d + 1, 19, 0),
        end            : new Date(y, m, d + 1, 22, 30),
        allDay         : false,
        backgroundColor: '#00a65a', //Success (green)
        borderColor    : '#00a65a' //Success (green)
      },
      {
        title          : 'Click for Google',
        start          : new Date(y, m, 28),
        end            : new Date(y, m, 29),
        url            : 'http://google.com/',
        backgroundColor: '#3c8dbc', //Primary (light-blue)
        borderColor    : '#3c8dbc' //Primary (light-blue)
      }
      ],
      editable  : true,
      droppable : true, // this allows things to be dropped onto the calendar !!!
      drop      : function (date, allDay) { // this function is called when something is dropped
        
        // retrieve the dropped element's stored Event Object
        var originalEventObject = $(this).data('eventObject')
        
        // we need to copy it, so that multiple events don't have a reference to the same object
        var copiedEventObject = $.extend({}, originalEventObject)
        
        // assign it the date that was reported
        copiedEventObject.start           = date
        copiedEventObject.allDay          = allDay
        copiedEventObject.backgroundColor = $(this).css('background-color')
        copiedEventObject.borderColor     = $(this).css('border-color')
        
        // render the event on the calendar
        // the last `true` argument determines if the event "sticks" (http://arshaw.com/fullcalendar/docs/event_rendering/renderEvent/)
        $('#calendar').fullCalendar('renderEvent', copiedEventObject, true)
        
        // is the "remove after drop" checkbox checked?
        if ($('#drop-remove').is(':checked')) {
          // if so, remove the element from the "Draggable Events" list
          $(this).remove()
        }
        
      }
    })
    
    /* ADDING EVENTS */
    var currColor = '#3c8dbc' //Red by default
    //Color chooser button
    var colorChooser = $('#color-chooser-btn')
    $('#color-chooser > li > a').click(function (e) {
      e.preventDefault()
      //Save color
      currColor = $(this).css('color')
      //Add color effect to button
      $('#add-new-event').css({ 'background-color': currColor, 'border-color': currColor })
    })
    $('#add-new-event').click(function (e) {
      e.preventDefault()
      //Get value and make sure it is not null
      var val = $('#new-event').val()
      if (val.length == 0) {
        return
      }
      
      //Create events
      var event = $('<div />')
      event.css({
        'background-color': currColor,
        'border-color'    : currColor,
        'color'           : '#fff'
      }).addClass('external-event')
      event.html(val)
      $('#external-events').prepend(event)
      
      //Add draggable funtionality
      init_events(event)
      
      //Remove event from text input
      $('#new-event').val('')
    })
  })
</script>

<!-- Optionally, you can add Slimscroll and FastClick plugins.
  Both of these plugins are recommended to enhance the
  user experience. -->
  
  {% endblock %}